Bug 138623 - Oom killer killed few processes while there was plenty of RAM and swap
Oom killer killed few processes while there was plenty of RAM and swap
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 06:35 EST by Srihari Vijayaraghavan
Modified: 2015-01-04 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-10 16:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Srihari Vijayaraghavan 2004-11-10 06:35:06 EST
Description of problem:
After copying few Gig of data, when I tried to start a new program
(k3b), Oom killer filled few processes. BTW there was plenty of free
swap space when it killed few processes. The machine has 1 GB of RAM
and 1 GB of swap partition.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Haven't tried to reproduce it.

Steps to Reproduce:
1. Copied large files (4 GB for example) to USB hard drive (FAT fs on
/dev/sda1)
2. Started k3b
  
Actual results:
Oom killer killed few processes :( including k3b.

Expected results:
Kernel may not kill the processes, of course.

Additional info:
The system has an Athlon 64 - 3200+, 1 GB of RAM and 1 GB of swap. FC3
x86_64 distribution (64 bit). Have not got round to test it on
kernel.org's kernel.

ehci_hcd 0000:00:10.4: port 2 reset error -110
hub 1-0:1.0: hub_port_status failed (err = -32)
usb 1-2: new high speed USB device using address 2
Initializing USB Mass Storage driver...
scsi2 : SCSI emulation for USB Mass Storage devices
  Vendor: Genesys   Model: USB to IDE Disk   Rev: 0002
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 78140160 512-byte hdwr sectors (40008 MB)
sda: test WP failed, assume Write Enabled
sda: assuming drive cache: write through
 sda: sda1
Attached scsi removable disk sda at scsi2, channel 0, id 0, lun 0
USB Mass Storage device found at 2
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
SELinux: initialized (dev sda1, type vfat), uses genfs_contexts
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:      220024kB (0kB HighMem)
Active:44881 inactive:121876 dirty:26338 writeback:0 unstable:0
free:55006 slab:26753 mapped:44653 pagetables:2219
DMA free:632kB min:12kB low:24kB high:36kB active:0kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:219392kB min:1004kB low:2008kB high:3012kB active:179524kB
inactive:487504kB present:1032128kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 146*4kB 4*8kB 1*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 632kB
Normal: 30608*4kB 10044*8kB 816*16kB 39*32kB 14*64kB 1*128kB 1*256kB
0*512kB 1*1024kB 0*2048kB 0*4096kB = 219392kB
HighMem: empty
Swap cache: add 44, delete 44, find 0/0, race 0+0
Out of Memory: Killed process 4757 (kdeinit).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:      221432kB (0kB HighMem)
Active:44612 inactive:121922 dirty:26344 writeback:0 unstable:0
free:55358 slab:26705 mapped:44368 pagetables:2160
DMA free:632kB min:12kB low:24kB high:36kB active:0kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:220800kB min:1004kB low:2008kB high:3012kB active:178448kB
inactive:487688kB present:1032128kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 146*4kB 4*8kB 1*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 632kB
Normal: 30660*4kB 10084*8kB 833*16kB 46*32kB 18*64kB 2*128kB 1*256kB
0*512kB 1*1024kB 0*2048kB 0*4096kB = 220800kB
HighMem: empty
Swap cache: add 44, delete 44, find 0/0, race 0+0
Out of Memory: Killed process 4755 (kdeinit).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:      228992kB (0kB HighMem)
Active:42806 inactive:121967 dirty:26344 writeback:0 unstable:0
free:57248 slab:26690 mapped:42085 pagetables:2073
DMA free:632kB min:12kB low:24kB high:36kB active:0kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:228360kB min:1004kB low:2008kB high:3012kB active:171224kB
inactive:487868kB present:1032128kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 146*4kB 4*8kB 1*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 632kB
Normal: 30770*4kB 10230*8kB 917*16kB 114*32kB 38*64kB 11*128kB 1*256kB
0*512kB 1*1024kB 0*2048kB 0*4096kB = 228360kB
HighMem: empty
Swap cache: add 44, delete 44, find 0/0, race 0+0
Out of Memory: Killed process 4787 (k3b).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:      228912kB (0kB HighMem)
Active:42807 inactive:122014 dirty:26344 writeback:0 unstable:0
free:57228 slab:26670 mapped:42085 pagetables:2073
DMA free:632kB min:12kB low:24kB high:36kB active:0kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:228280kB min:1004kB low:2008kB high:3012kB active:171228kB
inactive:488056kB present:1032128kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 146*4kB 4*8kB 1*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 632kB
Normal: 30738*4kB 10232*8kB 919*16kB 114*32kB 38*64kB 11*128kB 1*256kB
0*512kB 1*1024kB 0*2048kB 0*4096kB = 228280kB
HighMem: empty
Swap cache: add 44, delete 44, find 0/0, race 0+0
Out of Memory: Killed process 4350 (firefox-bin).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:      260424kB (0kB HighMem)
Active:34931 inactive:122047 dirty:15706 writeback:902 unstable:0
free:65106 slab:26790 mapped:34499 pagetables:1932
DMA free:632kB min:12kB low:24kB high:36kB active:0kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:259792kB min:1004kB low:2008kB high:3012kB active:139724kB
inactive:488188kB present:1032128kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 146*4kB 4*8kB 1*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 632kB
Normal: 30920*4kB 10620*8kB 1223*16kB 321*32kB 125*64kB 60*128kB
10*256kB 4*512kB 1*1024kB 0*2048kB 0*4096kB = 259792kB
HighMem: empty
Swap cache: add 44, delete 44, find 0/0, race 0+0
Out of Memory: Killed process 4759 (kdeinit).
Comment 1 Need Real Name 2004-11-16 16:44:23 EST
Also having this problem with 32bit AMD XP processor.
I can attach a message log id requested, with virtualy the same
information as above.

2.6.9-1.667 #1 Tue Nov 2 14:41:25 EST 2004 i686 athlon i386 GNU/Linux

vendor_id       : AuthenticAMD
model name      : AMD Athlon(tm) XP 2000+
cpu MHz         : 1674.762
cache size      : 256 KB
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow
bogomips        : 3293.18

it is a gigabyte motherboard with DDR400 memory.
Comment 2 Dave Jones 2004-11-20 14:56:21 EST
the latest errata kernels have some tweaks that should make the oom killer less
aggressive in such situations. please retry with that.
Comment 3 Srihari Vijayaraghavan 2004-11-23 00:13:43 EST
I am on 2.6.9-1.678_FC3. This is after copying a 2 GB file to external
USB hard drive on my P4 512 MB RAM + 512 MB Swap desktop. (I shall
check it out on my x86_64 too, but I very confident it will show
similar problems too.)

##### Starts Here #####
SELinux: initialized (dev hdd, type iso9660), uses genfs_contexts
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:        4196kB (0kB HighMem)
Active:24272 inactive:85127 dirty:17754 writeback:888 unstable:0
free:1049 slab:8448 mapped:24416 pagetables:584
DMA free:2068kB min:20kB low:40kB high:60kB active:8kB inactive:3332kB
present:16384kB
protections[]: 0 0 0
Normal free:2128kB min:692kB low:1384kB high:2076kB active:97080kB
inactive:337176kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 423*4kB 37*8kB 5*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 2068kB
Normal: 126*4kB 35*8kB 20*16kB 6*32kB 1*64kB 0*128kB 1*256kB 1*512kB
0*1024kB 0*2048kB 0*4096kB = 2128kB
HighMem: empty
Swap cache: add 130177, delete 129599, find 43691/49872, race 0+0
Out of Memory: Killed process 5915 (kdeinit).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:       10368kB (0kB HighMem)
Active:23195 inactive:84683 dirty:3531 writeback:897 unstable:0
free:2592 slab:8444 mapped:22464 pagetables:570
DMA free:3288kB min:20kB low:40kB high:60kB active:4kB inactive:2152kB
present:16384kB
protections[]: 0 0 0
Normal free:7080kB min:692kB low:1384kB high:2076kB active:92776kB
inactive:336580kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 610*4kB 90*8kB 8*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 3288kB
Normal: 1132*4kB 145*8kB 23*16kB 6*32kB 1*64kB 0*128kB 1*256kB 1*512kB
0*1024kB 0*2048kB 0*4096kB = 7080kB
HighMem: empty
Swap cache: add 130177, delete 129716, find 43691/49872, race 0+0
Out of Memory: Killed process 6154 (k3b).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:       13400kB (0kB HighMem)
Active:23215 inactive:84152 dirty:230 writeback:0 unstable:0 free:3350
slab:8157 mapped:22464 pagetables:570
DMA free:5680kB min:20kB low:40kB high:60kB active:4kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:7720kB min:692kB low:1384kB high:2076kB active:92856kB
inactive:336608kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 806*4kB 237*8kB 35*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 5680kB
Normal: 1276*4kB 153*8kB 23*16kB 6*32kB 1*64kB 0*128kB 1*256kB 1*512kB
0*1024kB 0*2048kB 0*4096kB = 7720kB
HighMem: empty
Swap cache: add 130177, delete 129716, find 43691/49872, race 0+0
Out of Memory: Killed process 5929 (kdeinit).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:       15364kB (0kB HighMem)
Active:22752 inactive:84201 dirty:234 writeback:0 unstable:0 free:3841
slab:8132 mapped:21897 pagetables:558
DMA free:5732kB min:20kB low:40kB high:60kB active:4kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:9632kB min:692kB low:1384kB high:2076kB active:91004kB
inactive:336804kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 807*4kB 243*8kB 35*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 5732kB
Normal: 1692*4kB 180*8kB 25*16kB 6*32kB 1*64kB 0*128kB 1*256kB 1*512kB
0*1024kB 0*2048kB 0*4096kB = 9632kB
HighMem: empty
Swap cache: add 130177, delete 129760, find 43691/49872, race 0+0
Out of Memory: Killed process 5930 (kdeinit).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:       15532kB (0kB HighMem)
Active:22679 inactive:84247 dirty:234 writeback:0 unstable:0 free:3883
slab:8134 mapped:21820 pagetables:546
DMA free:5740kB min:20kB low:40kB high:60kB active:4kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:9792kB min:692kB low:1384kB high:2076kB active:90712kB
inactive:336988kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 809*4kB 243*8kB 35*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 5740kB
Normal: 1740*4kB 178*8kB 24*16kB 6*32kB 1*64kB 0*128kB 1*256kB 1*512kB
0*1024kB 0*2048kB 0*4096kB = 9792kB
HighMem: empty
Swap cache: add 130177, delete 129760, find 43691/49872, race 0+0
Out of Memory: Killed process 4785 (artsd).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:       18748kB (0kB HighMem)
Active:21854 inactive:84294 dirty:234 writeback:0 unstable:0 free:4687
slab:8119 mapped:20532 pagetables:534
DMA free:5748kB min:20kB low:40kB high:60kB active:4kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:13000kB min:692kB low:1384kB high:2076kB active:87412kB
inactive:337176kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 811*4kB 243*8kB 35*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 5748kB
Normal: 2270*4kB 280*8kB 41*16kB 6*32kB 1*64kB 0*128kB 1*256kB 1*512kB
0*1024kB 0*2048kB 0*4096kB = 13000kB
HighMem: empty
Swap cache: add 130177, delete 129760, find 43691/49872, race 0+0
Out of Memory: Killed process 4801 (kdeinit).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:      176152kB (0kB HighMem)
Active:18277 inactive:48585 dirty:234 writeback:0 unstable:0
free:44038 slab:8070 mapped:17789 pagetables:529
DMA free:5760kB min:20kB low:40kB high:60kB active:4kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:170392kB min:692kB low:1384kB high:2076kB active:73104kB
inactive:194340kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 810*4kB 243*8kB 36*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 5760kB
Normal: 20792*4kB 7725*8kB 955*16kB 61*32kB 48*64kB 12*128kB 8*256kB
3*512kB 0*1024kB 0*2048kB 0*4096kB = 170392kB
HighMem: empty
Swap cache: add 130177, delete 129763, find 43691/49872, race 0+0
Out of Memory: Killed process 4787 (kdeinit).
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:      177628kB (0kB HighMem)
Active:17891 inactive:48632 dirty:239 writeback:0 unstable:0
free:44407 slab:8059 mapped:17079 pagetables:513
DMA free:5764kB min:20kB low:40kB high:60kB active:4kB inactive:0kB
present:16384kB
protections[]: 0 0 0
Normal free:171864kB min:692kB low:1384kB high:2076kB active:71560kB
inactive:194528kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 809*4kB 244*8kB 36*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 5764kB
Normal: 20846*4kB 7752*8kB 1016*16kB 63*32kB 48*64kB 12*128kB 8*256kB
3*512kB 0*1024kB 0*2048kB 0*4096kB = 171864kB
HighMem: empty
Swap cache: add 130177, delete 129764, find 43691/49872, race 0+0
Out of Memory: Killed process 4811 (kdeinit).

##### Ends Here #####

IOW, the problem is still there on the errata kernel
(2.6.9-1.678_FC3). I must verify whether vanilla kernel.org's kernel
experiences similar problems too.

Thanks.
Hari.
Comment 4 Srihari Vijayaraghavan 2004-11-23 19:40:38 EST
This is on 2.6.9-1.681_FC3 on my P4:
##### Starts Here #####
sda: assuming drive cache: write through
 sda: sda1
Attached scsi removable disk sda at scsi0, channel 0, id 0, lun 0
SELinux: initialized (dev sda1, type vfat), uses genfs_contexts
oom-killer: gfp_mask=0xd1
DMA per-cpu:
cpu 0 hot: low 2, high 6, batch 1
cpu 0 cold: low 0, high 2, batch 1
Normal per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 0, high 32, batch 16
HighMem per-cpu: empty

Free pages:       77252kB (0kB HighMem)
Active:29237 inactive:61502 dirty:4915 writeback:750 unstable:0
free:19313 slab:8854 mapped:32104 pagetables:689
DMA free:2804kB min:20kB low:40kB high:60kB active:24kB
inactive:2232kB present:16384kB
protections[]: 0 0 0
Normal free:74448kB min:692kB low:1384kB high:2076kB active:116924kB
inactive:243776kB present:499200kB
protections[]: 0 0 0
HighMem free:0kB min:128kB low:256kB high:384kB active:0kB
inactive:0kB present:0kB
protections[]: 0 0 0
DMA: 529*4kB 84*8kB 1*16kB 0*32kB 0*64kB 0*128kB 0*256kB 0*512kB
0*1024kB 0*2048kB 0*4096kB = 2804kB
Normal: 7054*4kB 4909*8kB 377*16kB 5*32kB 2*64kB 1*128kB 0*256kB
1*512kB 0*1024kB 0*2048kB 0*4096kB = 74448kB
HighMem: empty
Swap cache: add 1054, delete 1011, find 260/359, race 0+0
Out of Memory: Killed process 3820 (firefox-bin).
##### Ends Here #####

I think I understand the problem (I may have to prove it): Upon
copying a huge file (2+ GB) to the USB Hard drive, while it is still
flushing the data, start few programs and then watch OOM to kill a few
processes.

Thank you.
Hari.
Comment 5 Dams 2004-12-11 05:44:54 EST
I can fully reproduce this problem on my small i586 -k6-2- GW. It has
64MiB of ram + 100 MiB of swap. If i just boot and run 'grep foo
/var/log/*' the oom killer start to play and kill some processes
randomly. This has been *fully* reproducible so far.

Here's the 'vmstat 1' output when it happens :

0  0  12260  2428  2060  16256 0 0     0     0 1039    67  1  1  0 98
0  0  12260  2428  2060  16256 0 0     0     0 1045    77  0  1  0 99
<--- grep started here --->
1  0  12260   888  1032  14576 0 0  1312    24 1103   203 12 27 60  1
<--- OOM Killer, system hangs several seconds --->
1 13  49000   716   464   3324 0 0  1904 38668 2074   289 12 43 45  0
0 20  61180   868   152    956 0 0 49520 14880 19129 8240  0 58 42  0
0 16  62860   656   160   2204 0 0  3704    28 1587   179  1  6 94  0
0 14  62816  1056   148   1692 0 0  2660     0 1195   150  0  4 96  0
0  9  62788   868   212   2508 0 0  1044     0 1063   138  0  1 99  0
0  7  62784   696   224   3064 0 0   604     0 1069    74  0  1 99  0
0  7  62780   748   252   3352 0 0   372    12 1063    75  0  0 100  0
0  5  62776   628   260   3616 0 0   268     0 1068    58  0  1 99  0
0  7  62656   648   276   4416 0 0   816     0 1082    65  0  0 100  0
0  6  62448   636   300   5476 0 0  1088     0 1061    67  0  1 99  0
0  6  62448   876   312   6100 0 0   724     0 1072    74  0  1 99  0
0  6  62448   732   312   6328 0 0   236     0 1066    69  0  0 100  0
0  4  62448   536   316   6616 0 0   324     4 1063    56  0  1 99  0
0  4  62448   660   320   6804 0 0   276     0 1065    41  0  0 100  0
0 13  62432   648   356   7872 0 0  1212     0 1069    61  0  1 99  0
0 12  61960   904   388   8800 0 0  1496    52 1070   136  1  1 98  0
0  4  61420   780   440   9836 0 0  1384    44 1084   151  0  2 98  0
0  4  60208  2364   504  10656 0 0  1508   116 1093   270  3 11 86  0
0  2  59260  1104   588  10784 0 0  1128   184 1090   243  1  2 97  0
0  3  58392   788   668  10912 0 0  1128   144 1083   199  2  3 95  0
0  5  57748   768   768  11008 0 0   796    92 1080   198  3  3 94  0
0  3  57068   680   876  11288 0 0   848   144 1073   174  3  3 94  0
0  3  56264   804   944  11772 0 0  1104   104 1071   189 11  3 86  0
0  3  55796   592   968  13084 0 0  1784    60 1064   142  0  3 97  0
0  2  54764  1260  1052  13096 0 0  1028   192 1070   201  2  2 96  0
0  2  53976   780  1144  13124 0 0   864   172 1084   195  2  2 96  0
0  1  52296   624  1184  13124 0 0  1636   140 1080   193  2  1 97  0
0  1  50364   688   984  11044 0 0  3324     0 1145   332  5 11 84  0
1  1  48152   560   872   9936 0 0  4080    12 1169   369  7  9 84  0

As you see, there wasnt so much swap used before the grep (approx
10M). The situation on this problem is better with 2.6.9 - it only
crashes when i touch it :P - than it was with 2.6.[67] (the box
couldnt be up more than 24-36h - without me even touching it), but
2.6.3 clearly doesnt have this problem (I've been able to reach more
than a month of uptime, with me doing plenty of nasty memory-eating
things on the system). 
Another reproducible case is "rpm -e kernel" :
2.6.3 : works fine
2.6.[67] : the box crash whatever is actually running.
2.6.9 : works only in 'init 1'-like process configuration.

Dave, if you want to debug this, I can give you all information you
ask, or even give you a remote access to the system.
Comment 6 Bill Wixted 2004-12-20 19:23:52 EST
Is there anyway to disable the OOM killer entirely?  For my purposes I
have a dedicated machine running known processes so I have no need for
it.  If someone can point me to the line(s) of code I need to comment
out I would greatly appreciate it.

Thanks,
Bill
Comment 7 Dave Jones 2005-04-11 20:13:15 EDT
this should have got a lot better in the 2.6.10 kernels (and better yet in the
latest 2.6.11 code drop), as the oom-killer is now invoked in a completely
different path, and does several more checks before it kills processes.
Comment 8 Srihari Vijayaraghavan 2005-05-06 01:07:45 EDT
True. I have not seen any oom problems under 2.6.11-1.14_FC3 kernel. It seems to
work fine (at lease for this case).

Other users on this bug report may want to verify their respective problems.

Thanks
Hari
Comment 9 Srihari Vijayaraghavan 2005-05-06 01:17:00 EDT
Without unplugging USB drive that is ('cause the current FC3 kernel is plagued
with CFQ/USB problems that lead to panic, it is no fun anymore) :-(.

Thanks
Hari
Comment 10 Dave Jones 2005-05-10 16:51:59 EDT
thats fixed in the latest updates-testing kernel. (theres several bugs open on
that problem)

I'll close this bug out. If any further OOM problems occur, please file a new bug.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.